#cookieOverlay {
  position: fixed;
  inset: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  background: rgba(0, 10, 25, 0.25);
  z-index: 9999;
}

#cookieBanner {
  position: fixed;
  bottom: 20px;
  left: 50%;
  transform: translateX(-50%);
  width: 100%;
  max-width: 900px;
  padding: 0 20px;
  box-sizing: border-box;
  z-index: 10000;
  animation: slideUp 0.5s ease-out;
}

.cookie-content {
  display: flex;
  flex-direction: column;
  gap: 10px;
  padding: 10px 15px;
  border: var(--border-standard);
  border-radius: 14px;
  background: var(--bg-dark-elements);
  box-shadow: var(--shadow-blue-on);
}

.cookie-content p {
  margin: 0;
  color: var(--text-muted);
  font-size: 13px;
}

.cookie-content a {
  color: var(--text-accent-blue);
  text-decoration: none;
}
.cookie-content a:hover {
  color: var(--text-primary);
  text-decoration: underline;
}

.cookie-actions {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  gap: 15px;
}

.cookie-actions button {
  padding: 6px 12px;
  border: var(--border-button-outline);
  border-radius: 20px;
  color: var(--text-accent-blue);
  background: transparent;
  font-size: 14px;
  font-weight: 500;
  line-height: 1;
  text-decoration: none;
  box-shadow: var(--shadow-blue-off);
  transition: 0.3s;
}

.cookie-actions button:last-child {
  padding: 4px 8px !important;
  font-size: 13px !important;
  opacity: 0.7 !important;
  cursor: default !important;
}

.cookie-actions button:hover {
  transform: translateY(-3px);
  color: var(--text-primary);
  background: var(--bg-button-outline-on);
  box-shadow: var(--shadow-blue-on);
}

@keyframes slideUp {
  from {
    transform: translate(-50%, 100px);
    opacity: 0;
  }
  to {
    transform: translate(-50%, 0);
    opacity: 1;
  }
}

/* laptop 1600–1919px */
@media (min-width: 1600px) and (max-width: 1919px) {

}

/* laptop 1366–1599px */
@media (min-width: 1366px) and (max-width: 1599px) {

}

/* laptop 1280–1365px */
@media (min-width: 1280px) and (max-width: 1365px) {

}

/* tablet */
@media (min-width: 768px) and (max-width: 1279px) and (orientation: portrait) {

}
@media (min-width: 768px) and (max-width: 1279px) and (orientation: landscape) {

}

/* smartphone */
@media (max-width: 767px) and (orientation: portrait) {
  .cookie-content p {
    font-size: 12px;
  }

  .cookie-actions {
    justify-content: center;
    margin-top: 10px;
    gap: 15px;
  }

  .cookie-actions button {
    font-size: 13px;
  }
}
@media (max-width: 767px) and (orientation: landscape) {
  .cookie-content p {
    font-size: 12px;
  }

  .cookie-actions {
    gap: 15px;
  }

  .cookie-actions button {
    font-size: 13px;
  }
}
@media (min-width: 768px) and (max-width: 915px) and (max-height: 500px) and (orientation: landscape) {
  .cookie-content p {
    font-size: 12px;
  }

  .cookie-actions {
    gap: 15px;
  }

  .cookie-actions button {
    font-size: 13px;
  }
}